#include<bits/stdc++.h>
using namespace std;

int n, l, niz[1002], poz=-1;

int main()
{
	cin >> n >> l;
	for(int i=1; i<=n; i++){
		cin >> niz[i];
	}
	for(int i=1; i<=n; i++){
		if(niz[i]<l or niz[i]==l){
			poz=i;
			break;
		}
	}
	cout << poz << endl;
	return 0;
}